/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/updateInvoices2609170000Updating Waybills
簡介
Updating Waybills
詳細內容
Available buyer market: Korean
Change incorrectly-registered waybill information.
The shiptrack status of the updated waybill is changed to Shipped (DEPARTURE), and may change according to the tracking information integrated.
You can change the waybill information ONLY when the shiptrack status is Shipped (DEPARTURE), In Transit (DELIVERING), Delivery Complete (FINAL_DELIVERY) or Direct Courier Delivery (NONE_TRACKING). (Error will occur in other cases)
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/orders/updateInvoicesURL API Name
Path 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Vendor ID Code Coupang issues to vendors e.g. A00012345 |
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Vendor ID Code Coupang issues to vendors e.g. A00012345 |
| orderSheetInvoiceApplyDtos* | object[] | List of orders to be changed to Shipped
|
| shipmentBoxId* orderSheetInvoiceApplyDtos[].shipmentBoxId | integer | Bundled shipping number
|
| orderId* orderSheetInvoiceApplyDtos[].orderId | integer | Order number
|
| deliveryCompanyCode* orderSheetInvoiceApplyDtos[].deliveryCompanyCode | string | Courier code to be changed See courier codes |
| invoiceNumber* orderSheetInvoiceApplyDtos[].invoiceNumber | integer | Waybill number to be changed
|
| vendorItemId* orderSheetInvoiceApplyDtos[].vendorItemId | integer | Option ID Enter the option ID of the product for which the waybill will be updated. |
| splitShipping* orderSheetInvoiceApplyDtos[].splitShipping | string | Split shipping Y/N ● false (single shipping) Shipping all items in 1 order number with 1 waybill number ● true (split shipping) If splitting items in 1 order and shipping them separately with several waybill numbers |
| preSplitShipped* orderSheetInvoiceApplyDtos[].preSplitShipped | string | Split-shipped Y/N ● false If not split-shipped (=splitshipping false) If processing split shipping for the order number for the first time ● true If there is already a split-shipped item in the order number |
| estimatedShippingDate* orderSheetInvoiceApplyDtos[].estimatedShippingDate | string | (Split shipping) estimated shipping date Enter in YYYY-MM-DD format for split shipping (optional) if date is not entered, enter blank as "". Enter either the waybill number or the estimated shipping date. |
{
"vendorId": "A00012345",
"orderSheetInvoiceApplyDtos": [
{
"shipmentBoxId": 123456789012345680,
"orderId": 2000019631453,
"vendorItemId": 3819657333,
"deliveryCompanyCode": "KDEXP",
"invoiceNumber": 201808231414,
"splitShipping": "False",
"preSplitShipped": "False",
"estimatedShippingDate": ""
}
]
}回應內容
回應訊息
| Name | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | Server response code
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | Server response message
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseCode data.responseCode | integer | Status message on the total request result
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseMessage data.responseMessage | string | Status message on the total request result
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseList data.responseList | object[] | Result set for individual cases
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shipmentBoxId data.responseList[].shipmentBoxId | integer | Bundled shipping number
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| succeed data.responseList[].succeed | boolean | Success Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultCode data.responseList[].resultCode | string | Result code
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| retryRequired data.responseList[].retryRequired | boolean | Retry Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultMessage data.responseList[].resultMessage | string | Result message
|
Response Example
{
"code": 200,
"message": "OK",
"data": {
"responseCode": 0,
"responseMessage": "SUCCESS",
"responseList": [
{
"shipmentBoxId": 123456789012345680,
"succeed": true,
"resultCode": "OK",
"retryRequired": false,
"resultMessage": null
}
]
}
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (check request variable) | Incorrect waybill (invoice) number format for CJ Logistics. [6255*****632] | Check if you have entered the correct waybill number. |
| 400 | 400 (check request variable) | CJ Logistics waybill number must be digits only. InvoiceNumber must be number. [6257-62-10*] | Check if you have entered the correct waybill number. Make sure the number does not include anything other than numbers. |
| 400 | 400 (check request variable) | Waybill number (invoice number) of Direct Courier Delivery (DIRECT) orders must be digits only. [***] | Enter the waybill number of Direct Courier Delivery (DIRECT) orders in digits. e.g. 202002031830 |
| 400 | 400 (check request variable) | Invalid courier code: | Check if you have entered the correct courier code (deliveryCompanyCode). |
| 400 | 400 (check request variable) | Incorrect waybill (invoice) number format for OO Logistics. [956****734] | Check if you have entered the correct waybill number. |